<script setup>
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';
import { Head, Link } from '@inertiajs/vue3';

defineProps({
    restaurants: Object,
});
</script>

<template>
    <Head title="Dashboard" />
    <AuthenticatedLayout>
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">Customer Dashboard</h2>
        </template>

        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                   <div class="row">
                    <div class="col-xl-3 col-md-6" v-for="restaurant in restaurants" :key="restaurant.id">
                        <div class="card card-animate" >
                            <div class="card-body">
                                <div class="d-flex align-items-center">
                                    <div class="flex-grow-1 overflow-hidden">
                                        <p class="text-uppercase fw-medium text-muted text-truncate mb-0">
                                            {{ restaurant.restaurant_name }}</p>
                                    </div>
                                    <div class="flex-shrink-0">
                                        <h5 class="text-success fs-14 mb-0">
                                            
                                            {{ restaurant.address }}
                                        </h5>
                                    </div>
                                </div>
                                <div class="d-flex align-items-end justify-content-between mt-4">
                                    <p>Opening Hours:{{restaurant.opening_hours}}</p>
                                    <p>Closing Hours:{{restaurant.closing_hours}}</p>
                                </div>
                                <div class="avatar-sm flex-shrink-0">
                                    <Link :href="route('customer.menu',restaurant.id)" class="btn btn-primary">Menu</Link>
                                  </div>
                            </div><!-- end card body -->
                        </div><!-- end card -->
                    </div>
                   </div>
                </div>
            </div>
        </div>
    </AuthenticatedLayout>
</template>
